Subject: Re: bug#35368: [PATCH v2] Do potentially destructive operations in prepare-commit-msg

From: Konstantin Kharlamov <[email-masked]>
Date: Wed, 15 May 2019 00:22:02 +0300

В Вт, мая 14, 2019 at 13:33, [email-masked] написал:
> Konstantin Kharlamov <[email-masked]> writes:
> 
>>  +# Use a UTF-8 locale if available, so that the UTF-8 check works.
>>  +# Use U+00A2 CENT SIGN to test whether the locale works.
>>  +cent_sign_utf8_format='\302\242\n'
>>  +cent_sign=`printf "$cent_sign_utf8_format"`
>>  +print_at_sign='BEGIN {print substr("'$cent_sign'@", 2)}'
>>  +at_sign=`$awk "$print_at_sign" </dev/null 2>/dev/null`
>>  +if test "$at_sign" != @; then
>>  +  at_sign=`LC_ALL=en_US.UTF-8 $awk "$print_at_sign" </dev/null 
>> 2>/dev/null`
>>  +  if test "$at_sign" = @; then
>>  +    LC_ALL=en_US.UTF-8
>>  +  else
>>  +    LC_ALL=C
>>  +  fi
>>  +  export LC_ALL
>>  +fi
>>  +
>>  +exec $awk -v at_sign="$at_sign" -v cent_sign="$cent_sign" -v 
>> file="$COMMIT_MSG_FILE" '
> 
> You don't actually need any of this at_sign and cent_sign stuff here, 
> right?

Well, I honestly don't know. I didn't want to break some odd emacs 
development usecase, so I took that part of code from the current 
`commit-msg`. And if you think it's unnecessary, then it's unnecessary 
as well in the current `commit-msg`.